<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: inflow_profile.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_985f593f22fcf3a93b5ee7686d3ca58d.html">vdf</a></li><li class="navelem"><a class="el" href="dir_96d901b77ffce09e8cdeb38312aa3f6a.html">inflow</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">inflow_profile.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespaceinflow__profile"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinflow__profile.html">inflow_profile</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a5134ac607d29c5e6f2b51e46f73c306f"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinflow__profile.html#a5134ac607d29c5e6f2b51e46f73c306f">inflow_profile::inflow_profile_init</a> (vdf, solver)</td></tr>
<tr class="separator:a5134ac607d29c5e6f2b51e46f73c306f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1e529fe0814d1730e07ba4202189f1f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="inflow__profile_8f90.html#aa1e529fe0814d1730e07ba4202189f1f">set_default_profile</a> (sd, boundary, prof_in)</td></tr>
<tr class="separator:aa1e529fe0814d1730e07ba4202189f1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2592cdd3bee6c4122d126c80f1e8a779"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="inflow__profile_8f90.html#a2592cdd3bee6c4122d126c80f1e8a779">calc_min_distance</a> (sd, xyz, obj, del, min_dist)</td></tr>
<tr class="separator:a2592cdd3bee6c4122d126c80f1e8a779"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaaba4f6de89a05dec75619c670dcae3"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="inflow__profile_8f90.html#acaaba4f6de89a05dec75619c670dcae3">set_zero_wall_fa</a> (sd, face, fa_dist)</td></tr>
<tr class="separator:acaaba4f6de89a05dec75619c670dcae3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5df07a3f697d2e23bb5f6c4ceca67689"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="inflow__profile_8f90.html#a5df07a3f697d2e23bb5f6c4ceca67689">set_zero_wall_ed</a> (sd, edge, dir, fa_sign, ed_dist)</td></tr>
<tr class="separator:a5df07a3f697d2e23bb5f6c4ceca67689"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba5f3286b8d32c6de25a83f0c6e76cff"><td class="memItemLeft" align="right" valign="top">real(wp) function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="inflow__profile_8f90.html#aba5f3286b8d32c6de25a83f0c6e76cff">get_profile_val</a> (wdist, norm_wdist, type, i_exp, piv_dist)</td></tr>
<tr class="separator:aba5f3286b8d32c6de25a83f0c6e76cff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a210fce5e267a9b03834176135181a913"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinflow__profile.html#a210fce5e267a9b03834176135181a913">inflow_profile::inflow_profile_update</a> (vdf)</td></tr>
<tr class="separator:a210fce5e267a9b03834176135181a913"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06b9e0e9d9d9447848c2c0f133a48c2f"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinflow__profile.html#a06b9e0e9d9d9447848c2c0f133a48c2f">inflow_profile::inflow_profile_set_umax_for_compressible</a> (sd, boundary, umax_in)</td></tr>
<tr class="separator:a06b9e0e9d9d9447848c2c0f133a48c2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4b1e6582c4f9ee83c97cf10c38be339"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinflow__profile.html#ac4b1e6582c4f9ee83c97cf10c38be339">inflow_profile::get_inflow_profile_umax</a> (vdf, name, umax)</td></tr>
<tr class="separator:ac4b1e6582c4f9ee83c97cf10c38be339"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bc8e88b80f1d11b4f515175be076833"><td class="memItemLeft" align="right" valign="top">real(wp) function, dimension(:), pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinflow__profile.html#a9bc8e88b80f1d11b4f515175be076833">inflow_profile::get_inflow_fa_profile</a> (vdf, name)</td></tr>
<tr class="separator:a9bc8e88b80f1d11b4f515175be076833"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb60a889859c3075b4cf15b0314fe979"><td class="memItemLeft" align="right" valign="top">real(wp) function, dimension(:), pointer, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceinflow__profile.html#aeb60a889859c3075b4cf15b0314fe979">inflow_profile::get_inflow_ed_profile</a> (vdf, name, dir)</td></tr>
<tr class="separator:aeb60a889859c3075b4cf15b0314fe979"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a2592cdd3bee6c4122d126c80f1e8a779"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2592cdd3bee6c4122d126c80f1e8a779">&#9670;&nbsp;</a></span>calc_min_distance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine inflow_profile_init::calc_min_distance </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>xyz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structobject__defs__m_1_1object__t.html">object_t</a>), intent(in), pointer&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(3), intent(in)&#160;</td>
          <td class="paramname"><em>del</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(inout)&#160;</td>
          <td class="paramname"><em>min_dist</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacesd__masks__by__object.html#ab08acdc1a4631444a5946a437139939d">sd_masks_by_object::get_closest_point_object()</a>, and <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="inflow__profile_8f90_a2592cdd3bee6c4122d126c80f1e8a779_cgraph.png" border="0" usemap="#inflow__profile_8f90_a2592cdd3bee6c4122d126c80f1e8a779_cgraph" alt=""/></div>
<map name="inflow__profile_8f90_a2592cdd3bee6c4122d126c80f1e8a779_cgraph" id="inflow__profile_8f90_a2592cdd3bee6c4122d126c80f1e8a779_cgraph">
<area shape="rect" id="node2" href="namespacesd__masks__by__object.html#ab08acdc1a4631444a5946a437139939d" title="sd_masks_by_object\l::get_closest_point\l_object" alt="" coords="184,5,329,61"/>
<area shape="rect" id="node4" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="413,77,509,104"/>
<area shape="rect" id="node3" href="sd__masks__by__object_8f90.html#a273ee11570f0503541326f495bd4e384" title="update_closest_point_stl" alt="" coords="377,20,544,47"/>
<area shape="rect" id="node5" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="592,70,723,111"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="inflow__profile_8f90_a2592cdd3bee6c4122d126c80f1e8a779_icgraph.png" border="0" usemap="#inflow__profile_8f90_a2592cdd3bee6c4122d126c80f1e8a779_icgraph" alt=""/></div>
<map name="inflow__profile_8f90_a2592cdd3bee6c4122d126c80f1e8a779_icgraph" id="inflow__profile_8f90_a2592cdd3bee6c4122d126c80f1e8a779_icgraph">
<area shape="rect" id="node2" href="namespaceinflow__profile.html#a5134ac607d29c5e6f2b51e46f73c306f" title="inflow_profile::inflow\l_profile_init" alt="" coords="184,253,324,295"/>
<area shape="rect" id="node3" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="391,71,515,112"/>
<area shape="rect" id="node9" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="378,136,527,177"/>
<area shape="rect" id="node13" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="372,202,533,229"/>
<area shape="rect" id="node16" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="387,253,518,295"/>
<area shape="rect" id="node20" href="namespacecfd__func.html#a6b0f8dc951d14afea9a1002a6553d93a" title="cfd_func::cfd_field_init" alt="" coords="376,323,529,350"/>
<area shape="rect" id="node24" href="namespacecfd__func.html#aa1a38ca0a3e3abdf6ad87283b62808c0" title="cfd_func::register\l_scalar" alt="" coords="391,375,514,416"/>
<area shape="rect" id="node25" href="namespacevdf__func.html#affc03c50bf64e29ce78e9e72f0d7fd67" title="vdf_func::vdf_field_init" alt="" coords="376,479,529,506"/>
<area shape="rect" id="node4" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="603,71,737,112"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="819,5,947,47"/>
<area shape="rect" id="node7" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="816,71,951,112"/>
<area shape="rect" id="node6" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1020,13,1083,39"/>
<area shape="rect" id="node8" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1017,78,1085,105"/>
<area shape="rect" id="node10" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="591,136,749,177"/>
<area shape="rect" id="node11" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="807,136,960,177"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1008,143,1095,170"/>
<area shape="rect" id="node14" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="588,202,752,229"/>
<area shape="rect" id="node15" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="861,202,905,229"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="600,253,740,295"/>
<area shape="rect" id="node18" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="816,253,951,295"/>
<area shape="rect" id="node19" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1017,261,1086,287"/>
<area shape="rect" id="node21" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="599,319,741,360"/>
<area shape="rect" id="node23" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="581,384,759,425"/>
<area shape="rect" id="node22" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="837,326,929,353"/>
<area shape="rect" id="node26" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="606,450,734,477"/>
<area shape="rect" id="node28" href="namespacenga__cold__md__func.html#a0c18fc2593db8f52305f86332d81d14a" title="nga_cold_md_func::cold\l_md_init" alt="" coords="589,501,751,543"/>
<area shape="rect" id="node30" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="606,567,734,594"/>
<area shape="rect" id="node27" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="855,450,912,477"/>
<area shape="rect" id="node29" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="834,509,933,535"/>
<area shape="rect" id="node31" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="855,567,912,594"/>
</map>
</div>

</div>
</div>
<a id="aba5f3286b8d32c6de25a83f0c6e76cff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba5f3286b8d32c6de25a83f0c6e76cff">&#9670;&nbsp;</a></span>get_profile_val()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) function inflow_profile_init::get_profile_val </td>
          <td>(</td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>wdist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>norm_wdist</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">character(len=str_medium)&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>i_exp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp)&#160;</td>
          <td class="paramname"><em>piv_dist</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>.</p>
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="inflow__profile_8f90_aba5f3286b8d32c6de25a83f0c6e76cff_cgraph.png" border="0" usemap="#inflow__profile_8f90_aba5f3286b8d32c6de25a83f0c6e76cff_cgraph" alt=""/></div>
<map name="inflow__profile_8f90_aba5f3286b8d32c6de25a83f0c6e76cff_cgraph" id="inflow__profile_8f90_aba5f3286b8d32c6de25a83f0c6e76cff_cgraph">
<area shape="rect" id="node2" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="160,13,256,39"/>
<area shape="rect" id="node3" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="304,5,435,47"/>
</map>
</div>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="inflow__profile_8f90_aba5f3286b8d32c6de25a83f0c6e76cff_icgraph.png" border="0" usemap="#inflow__profile_8f90_aba5f3286b8d32c6de25a83f0c6e76cff_icgraph" alt=""/></div>
<map name="inflow__profile_8f90_aba5f3286b8d32c6de25a83f0c6e76cff_icgraph" id="inflow__profile_8f90_aba5f3286b8d32c6de25a83f0c6e76cff_icgraph">
<area shape="rect" id="node2" href="namespaceinflow__profile.html#a5134ac607d29c5e6f2b51e46f73c306f" title="inflow_profile::inflow\l_profile_init" alt="" coords="160,253,300,295"/>
<area shape="rect" id="node3" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="367,71,491,112"/>
<area shape="rect" id="node9" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="354,136,503,177"/>
<area shape="rect" id="node13" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="348,202,509,229"/>
<area shape="rect" id="node16" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="363,253,494,295"/>
<area shape="rect" id="node20" href="namespacecfd__func.html#a6b0f8dc951d14afea9a1002a6553d93a" title="cfd_func::cfd_field_init" alt="" coords="352,323,505,350"/>
<area shape="rect" id="node24" href="namespacecfd__func.html#aa1a38ca0a3e3abdf6ad87283b62808c0" title="cfd_func::register\l_scalar" alt="" coords="367,375,490,416"/>
<area shape="rect" id="node25" href="namespacevdf__func.html#affc03c50bf64e29ce78e9e72f0d7fd67" title="vdf_func::vdf_field_init" alt="" coords="352,479,505,506"/>
<area shape="rect" id="node4" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="579,71,713,112"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="795,5,923,47"/>
<area shape="rect" id="node7" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="792,71,927,112"/>
<area shape="rect" id="node6" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="996,13,1059,39"/>
<area shape="rect" id="node8" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="993,78,1061,105"/>
<area shape="rect" id="node10" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="567,136,725,177"/>
<area shape="rect" id="node11" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="783,136,936,177"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="984,143,1071,170"/>
<area shape="rect" id="node14" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="564,202,728,229"/>
<area shape="rect" id="node15" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="837,202,881,229"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="576,253,716,295"/>
<area shape="rect" id="node18" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="792,253,927,295"/>
<area shape="rect" id="node19" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="993,261,1062,287"/>
<area shape="rect" id="node21" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="575,319,717,360"/>
<area shape="rect" id="node23" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="557,384,735,425"/>
<area shape="rect" id="node22" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="813,326,905,353"/>
<area shape="rect" id="node26" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="582,450,710,477"/>
<area shape="rect" id="node28" href="namespacenga__cold__md__func.html#a0c18fc2593db8f52305f86332d81d14a" title="nga_cold_md_func::cold\l_md_init" alt="" coords="565,501,727,543"/>
<area shape="rect" id="node30" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="582,567,710,594"/>
<area shape="rect" id="node27" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="831,450,888,477"/>
<area shape="rect" id="node29" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="810,509,909,535"/>
<area shape="rect" id="node31" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="831,567,888,594"/>
</map>
</div>

</div>
</div>
<a id="aa1e529fe0814d1730e07ba4202189f1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1e529fe0814d1730e07ba4202189f1f">&#9670;&nbsp;</a></span>set_default_profile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine inflow_profile_init::set_default_profile </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), pointer&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1boundary__.html">boundary_</a>), pointer&#160;</td>
          <td class="paramname"><em>boundary</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(in_prof_t)&#160;</td>
          <td class="paramname"><em>prof_in</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="inflow__profile_8f90_aa1e529fe0814d1730e07ba4202189f1f_icgraph.png" border="0" usemap="#inflow__profile_8f90_aa1e529fe0814d1730e07ba4202189f1f_icgraph" alt=""/></div>
<map name="inflow__profile_8f90_aa1e529fe0814d1730e07ba4202189f1f_icgraph" id="inflow__profile_8f90_aa1e529fe0814d1730e07ba4202189f1f_icgraph">
<area shape="rect" id="node2" href="namespaceinflow__profile.html#a5134ac607d29c5e6f2b51e46f73c306f" title="inflow_profile::inflow\l_profile_init" alt="" coords="181,253,321,295"/>
<area shape="rect" id="node3" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="388,71,512,112"/>
<area shape="rect" id="node9" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="375,136,525,177"/>
<area shape="rect" id="node13" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="369,202,531,229"/>
<area shape="rect" id="node16" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="385,253,515,295"/>
<area shape="rect" id="node20" href="namespacecfd__func.html#a6b0f8dc951d14afea9a1002a6553d93a" title="cfd_func::cfd_field_init" alt="" coords="373,323,527,350"/>
<area shape="rect" id="node24" href="namespacecfd__func.html#aa1a38ca0a3e3abdf6ad87283b62808c0" title="cfd_func::register\l_scalar" alt="" coords="389,375,511,416"/>
<area shape="rect" id="node25" href="namespacevdf__func.html#affc03c50bf64e29ce78e9e72f0d7fd67" title="vdf_func::vdf_field_init" alt="" coords="373,479,527,506"/>
<area shape="rect" id="node4" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="601,71,734,112"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="817,5,945,47"/>
<area shape="rect" id="node7" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="813,71,948,112"/>
<area shape="rect" id="node6" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1017,13,1080,39"/>
<area shape="rect" id="node8" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1015,78,1083,105"/>
<area shape="rect" id="node10" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="588,136,747,177"/>
<area shape="rect" id="node11" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="804,136,957,177"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1005,143,1092,170"/>
<area shape="rect" id="node14" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="585,202,749,229"/>
<area shape="rect" id="node15" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="859,202,903,229"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="597,253,737,295"/>
<area shape="rect" id="node18" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="813,253,948,295"/>
<area shape="rect" id="node19" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1014,261,1083,287"/>
<area shape="rect" id="node21" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="596,319,739,360"/>
<area shape="rect" id="node23" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="579,384,756,425"/>
<area shape="rect" id="node22" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="835,326,927,353"/>
<area shape="rect" id="node26" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="603,450,731,477"/>
<area shape="rect" id="node28" href="namespacenga__cold__md__func.html#a0c18fc2593db8f52305f86332d81d14a" title="nga_cold_md_func::cold\l_md_init" alt="" coords="586,501,749,543"/>
<area shape="rect" id="node30" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="603,567,731,594"/>
<area shape="rect" id="node27" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="852,450,909,477"/>
<area shape="rect" id="node29" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="831,509,930,535"/>
<area shape="rect" id="node31" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="852,567,909,594"/>
</map>
</div>

</div>
</div>
<a id="a5df07a3f697d2e23bb5f6c4ceca67689"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5df07a3f697d2e23bb5f6c4ceca67689">&#9670;&nbsp;</a></span>set_zero_wall_ed()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine inflow_profile_init::set_zero_wall_ed </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in), pointer&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1bc__edge__.html">bc_edge_</a>), intent(in), pointer&#160;</td>
          <td class="paramname"><em>edge</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>dir</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">integer, intent(in)&#160;</td>
          <td class="paramname"><em>fa_sign</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(inout)&#160;</td>
          <td class="paramname"><em>ed_dist</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="inflow__profile_8f90_a5df07a3f697d2e23bb5f6c4ceca67689_icgraph.png" border="0" usemap="#inflow__profile_8f90_a5df07a3f697d2e23bb5f6c4ceca67689_icgraph" alt=""/></div>
<map name="inflow__profile_8f90_a5df07a3f697d2e23bb5f6c4ceca67689_icgraph" id="inflow__profile_8f90_a5df07a3f697d2e23bb5f6c4ceca67689_icgraph">
<area shape="rect" id="node2" href="namespaceinflow__profile.html#a5134ac607d29c5e6f2b51e46f73c306f" title="inflow_profile::inflow\l_profile_init" alt="" coords="176,253,316,295"/>
<area shape="rect" id="node3" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="383,71,507,112"/>
<area shape="rect" id="node9" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="370,136,519,177"/>
<area shape="rect" id="node13" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="364,202,525,229"/>
<area shape="rect" id="node16" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="379,253,510,295"/>
<area shape="rect" id="node20" href="namespacecfd__func.html#a6b0f8dc951d14afea9a1002a6553d93a" title="cfd_func::cfd_field_init" alt="" coords="368,323,521,350"/>
<area shape="rect" id="node24" href="namespacecfd__func.html#aa1a38ca0a3e3abdf6ad87283b62808c0" title="cfd_func::register\l_scalar" alt="" coords="383,375,506,416"/>
<area shape="rect" id="node25" href="namespacevdf__func.html#affc03c50bf64e29ce78e9e72f0d7fd67" title="vdf_func::vdf_field_init" alt="" coords="368,479,521,506"/>
<area shape="rect" id="node4" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="595,71,729,112"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="811,5,939,47"/>
<area shape="rect" id="node7" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="808,71,943,112"/>
<area shape="rect" id="node6" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1012,13,1075,39"/>
<area shape="rect" id="node8" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1009,78,1077,105"/>
<area shape="rect" id="node10" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="583,136,741,177"/>
<area shape="rect" id="node11" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="799,136,952,177"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="1000,143,1087,170"/>
<area shape="rect" id="node14" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="580,202,744,229"/>
<area shape="rect" id="node15" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="853,202,897,229"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="592,253,732,295"/>
<area shape="rect" id="node18" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="808,253,943,295"/>
<area shape="rect" id="node19" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1009,261,1078,287"/>
<area shape="rect" id="node21" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="591,319,733,360"/>
<area shape="rect" id="node23" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="573,384,751,425"/>
<area shape="rect" id="node22" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="829,326,921,353"/>
<area shape="rect" id="node26" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="598,450,726,477"/>
<area shape="rect" id="node28" href="namespacenga__cold__md__func.html#a0c18fc2593db8f52305f86332d81d14a" title="nga_cold_md_func::cold\l_md_init" alt="" coords="581,501,743,543"/>
<area shape="rect" id="node30" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="598,567,726,594"/>
<area shape="rect" id="node27" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="847,450,904,477"/>
<area shape="rect" id="node29" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="826,509,925,535"/>
<area shape="rect" id="node31" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="847,567,904,594"/>
</map>
</div>

</div>
</div>
<a id="acaaba4f6de89a05dec75619c670dcae3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acaaba4f6de89a05dec75619c670dcae3">&#9670;&nbsp;</a></span>set_zero_wall_fa()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine inflow_profile_init::set_zero_wall_fa </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(in), pointer&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__boundary__defs_1_1bc__face__.html">bc_face_</a>), pointer&#160;</td>
          <td class="paramname"><em>face</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), intent(inout)&#160;</td>
          <td class="paramname"><em>fa_dist</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="inflow__profile_8f90_acaaba4f6de89a05dec75619c670dcae3_icgraph.png" border="0" usemap="#inflow__profile_8f90_acaaba4f6de89a05dec75619c670dcae3_icgraph" alt=""/></div>
<map name="inflow__profile_8f90_acaaba4f6de89a05dec75619c670dcae3_icgraph" id="inflow__profile_8f90_acaaba4f6de89a05dec75619c670dcae3_icgraph">
<area shape="rect" id="node2" href="namespaceinflow__profile.html#a5134ac607d29c5e6f2b51e46f73c306f" title="inflow_profile::inflow\l_profile_init" alt="" coords="173,253,313,295"/>
<area shape="rect" id="node3" href="namespacearts__cf__func.html#a50bc2665fa6d78325254059159708464" title="arts_cf_func::arts\l_cf_field_init" alt="" coords="380,71,504,112"/>
<area shape="rect" id="node9" href="namespacearts__cf__md__func.html#a9ac6a3453df2bbba3ab5f88bcf9b0047" title="arts_cf_md_func::arts\l_cf_md_field_init_2" alt="" coords="367,136,517,177"/>
<area shape="rect" id="node13" href="namespacearts__func.html#a9e0387162024ff0bcadaa54ff4d61416" title="arts_func::arts_field_init" alt="" coords="361,202,523,229"/>
<area shape="rect" id="node16" href="namespacearts__md__func.html#a6fc1e169764898dc1480e36da8b00b65" title="arts_md_func::arts\l_md_field_init_2" alt="" coords="377,253,507,295"/>
<area shape="rect" id="node20" href="namespacecfd__func.html#a6b0f8dc951d14afea9a1002a6553d93a" title="cfd_func::cfd_field_init" alt="" coords="365,323,519,350"/>
<area shape="rect" id="node24" href="namespacecfd__func.html#aa1a38ca0a3e3abdf6ad87283b62808c0" title="cfd_func::register\l_scalar" alt="" coords="381,375,503,416"/>
<area shape="rect" id="node25" href="namespacevdf__func.html#affc03c50bf64e29ce78e9e72f0d7fd67" title="vdf_func::vdf_field_init" alt="" coords="365,479,519,506"/>
<area shape="rect" id="node4" href="namespacearts__cf__simulation.html#af2d1163d95721767351f7dbb56de3e99" title="Initialize hooks, cfd fields, monitors. " alt="" coords="593,71,726,112"/>
<area shape="rect" id="node5" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="809,5,937,47"/>
<area shape="rect" id="node7" href="namespacearts__wc__simulation.html#a532738af4bf9c2cb151dab03e904cc21" title="arts_wc_simulation\l::arts_wc_init" alt="" coords="805,71,940,112"/>
<area shape="rect" id="node6" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1009,13,1072,39"/>
<area shape="rect" id="node8" href="arts__cf_2arts__wc_8f90.html#af7bb7cfbac3d52067a278f3367ac7ccd" title="arts_wc" alt="" coords="1007,78,1075,105"/>
<area shape="rect" id="node10" href="namespacearts__cf__md__simulation.html#a7984ae1202b094dffd67b2fcea3de6a9" title="arts_cf_md_simulation\l::arts_cf_md_init_step2" alt="" coords="580,136,739,177"/>
<area shape="rect" id="node11" href="namespacearts__cf__md__simulation.html#aa5a60d8d1a2413b4193975df17106464" title="arts_cf_md_simulation\l::arts_cf_md_init" alt="" coords="796,136,949,177"/>
<area shape="rect" id="node12" href="arts__cf_2arts__cf__md_8f90.html#acce0fc0bbf137cebf13cf5f9deb9d4d9" title="arts_cf_md" alt="" coords="997,143,1084,170"/>
<area shape="rect" id="node14" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="577,202,741,229"/>
<area shape="rect" id="node15" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="851,202,895,229"/>
<area shape="rect" id="node17" href="namespacearts__md__simulation.html#a07a348b3d2bce7784d60da5fc200367e" title="arts_md_simulation\l::arts_md_init_step2" alt="" coords="589,253,729,295"/>
<area shape="rect" id="node18" href="namespacearts__md__simulation.html#afd5f62079c0790e0bdad1f7bfb766a29" title="arts_md_simulation\l::arts_md_init" alt="" coords="805,253,940,295"/>
<area shape="rect" id="node19" href="arts_2arts__md_8f90.html#a448e6c85f77623da832aacf3910ed2b3" title="arts_md" alt="" coords="1006,261,1075,287"/>
<area shape="rect" id="node21" href="namespacenga__cf__cold__func.html#aacd6b98963e282fe35d095621ad01930" title="nga_cf_cold_func::cf\l_cold_init" alt="" coords="588,319,731,360"/>
<area shape="rect" id="node23" href="interfacenga__cf__cold__func_1_1scalar__bc__hook.html#a8fe3ce1c57a677b10cc2ea355dc49a11" title="nga_cf_cold_func::scalar\l_bc_hook::scalar_bc_hook" alt="" coords="571,384,748,425"/>
<area shape="rect" id="node22" href="nga__cf__cold_2nga__cf__cold_8f90.html#abb68a45d77deeb00b9d2eadec4755bbf" title="nga_cf_cold" alt="" coords="827,326,919,353"/>
<area shape="rect" id="node26" href="namespacenga__if__func.html#a1cf1bb54c5fa75e6fbf56cde70720527" title="nga_if_func::if_init" alt="" coords="595,450,723,477"/>
<area shape="rect" id="node28" href="namespacenga__cold__md__func.html#a0c18fc2593db8f52305f86332d81d14a" title="nga_cold_md_func::cold\l_md_init" alt="" coords="578,501,741,543"/>
<area shape="rect" id="node30" href="namespacenga__x__func.html#a939e581f76d89434778319764f09d0a6" title="nga_x_func::x_init" alt="" coords="595,567,723,594"/>
<area shape="rect" id="node27" href="nga__if_2nga__if_8f90.html#ad0097941595a2ca34c36d82feb742ad0" title="nga_if" alt="" coords="844,450,901,477"/>
<area shape="rect" id="node29" href="nga__if_2nga__if__md_8f90.html#a16ff94900431e21a93779b3f14565de9" title="nga_cold_md" alt="" coords="823,509,922,535"/>
<area shape="rect" id="node31" href="nga__x_8f90.html#abec3e747113e9dd808fcf2010dac88a0" title="nga_x" alt="" coords="844,567,901,594"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
